Skip to main content
Call POST /createfreegameto grant a free spin bonus to a specific player on a specific game. You specify how many spins to assign, and iGamingAce will give a specified free spin to the player. Free spins are bonus rounds where players spin the reels without wagering their own balance. During free spin rounds, iGamingAce deducts spins from the free spin pool rather than from the player’s wallet.

Endpoint

POST https://api.igamingace.com/createfreegame
Replace https://api.igamingace.com with the base URL provided to you by iGamingAce.

Request Headers

NameValueExample
AuthorizationBearer Token (apitoken)Authorization: Bearer 4ca8890730e64aa69bd168eb8a3f374c
Acceptapplication/jsonAccept: application/json
Content-Typeapplication/jsonContent-Type: application/json

Request Parameters

ParameterDescriptionFormatExample
agentIDID of agent, Identification of Licenseestringagent01
userIDPlayer ID, Alphanumeric characters, minimum length 4, maximum length 48.string(4-48)player01
gameIDgame idinteger1566
betlevel1: minimum bet, 2, 3…integer1
freespincountfree spin count, min:1, max:1000integer10
expiretimeexpired timedatetime2026-02-26T06:46:04.000Z
freespinIDidentifier of the free spin, this will be used in the callbacks laterstring(1-36)freespin150

Response

ParameterDescriptionFormatExample
codeResult codesinteger0
messageDescription of the error, this field can be empty when successstring(256)General Error

Response Example

{
  "code": 0,
  "message": "OK",
}